
-- Load database with sample data

USE surjey;

-- TABLE surveys (
--  id int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
--  name varchar() NOT NULL,
--  description TEXT
--);

INSERT INTO surveys VALUES (0,'Living Things','Questions about the plants and animals you own and care for.');


-- TABLE sections (
--  id int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
--  name VARCHAR(30) NOT NULL,
--  description TEXT,
--  position int(3) NOT NULL,
--  survey_id int(10) NOT NULL,
--);

INSERT INTO sections VALUES (0,'Animals','Questions about animals.',1,1);
INSERT INTO sections VALUES (0,'Plants', 'Questions about plants.' ,2,1);

--TABLE questions (
--  id               INT(6)       NOT NULL AUTO_INCREMENT PRIMARY KEY,
--  name             VARCHAR(30)  NOT NULL,
--  label            VARCHAR(100) NOT NULL,
--  position         INT(3)       NOT NULL,
--  display_size     VARCHAR(10),
--  answer_labels    TEXT, 
--  section_id       INT(6)       NOT NULL,
--  question_type_id INT(6)       NOT NULL
--);

INSERT INTO questions VALUES (0,'','Do you own any pets?',1,null,'Yes, No',1,3);
INSERT INTO questions VALUES (0,'','How many pets do you own?',2,null,'1, 2, 3, 4, 5, 6, 7, 8 or more',1,5);
INSERT INTO questions VALUES (0,'','When do you feed your pets?',3,null,'Morning, Noon, Evening, Night, Other',1,4);
INSERT INTO questions VALUES (0,'','What kind of pets do you own?',4,'5','Dogs, Cats, Birds, Fish, Snakes, Lizards, Hamsters, Gerbils, Other',1,6);
INSERT INTO questions VALUES (0,'','What is (are) your pet\'s name(s)?',5,'','30',1,1);
INSERT INTO questions VALUES (0,'','Please describe your pet(s):',6,'','30,15',1,2);

INSERT INTO questions VALUES (0,'','Do you own any plants?',1,null,'Yes, No',2,3);
INSERT INTO questions VALUES (0,'','How many plants do you own?',2,null,'1, 2, 3, 4, 5, 6, 7, 8 or more',2,5);
INSERT INTO questions VALUES (0,'','When do you water your plants?',3,null,'Daily, Semi-Weekly, Weekly, Bi-Weekly, Monthly, Other',2,4);
INSERT INTO questions VALUES (0,'','What kind of plants do you own?',4,'5','Flowers, House Plants, Trees, Bushes/Shrubs, Other',2,6);
INSERT INTO questions VALUES (0,'','What is (are) your plant\'s name(s)?',5,'30','',2,1);
INSERT INTO questions VALUES (0,'','Please describe your plant(s):',6,'30,15','',2,2);


-- TABLE responses (
--  id int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
--  survey_id int(10) NOT NULL,
--  respondent_id int(10) NOT NULL,
--);


-- TABLE respondents (
--  id int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
--  last_name varchar(100) NOT NULL,
--  first_name varchar(100) NOT NULL,
--  business_name varchar(50) NOT NULL,
--  business_phone varchar(40),
--  email_address varchar(100),
--  postal_address varchar(200),
--);